summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Gerardo Zamudio2017-11-17 18:16:28 +0100
committer Willy Sudiarto Raharjo2017-11-18 06:40:34 +0100
commite8c1c5d593ee3a492263f57ced39ef041c307b39 (patch)
treeadec339f6b13758a2936af2caf69809203318266
parent916f2d1b476528b922e270db2f558ad0ed38b821 (diff)
downloadslackbuilds-e8c1c5d593ee3a492263f57ced39ef041c307b39.tar.gz
network/stride: Added (cloud-based collaboration tool).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--network/stride/README9
-rw-r--r--network/stride/doinst.sh9
-rw-r--r--network/stride/slack-desc19
-rw-r--r--network/stride/stride.SlackBuild100
-rw-r--r--network/stride/stride.info10
5 files changed, 147 insertions, 0 deletions
diff --git a/network/stride/README b/network/stride/README
new file mode 100644
index 0000000000..f08d36224b
--- /dev/null
+++ b/network/stride/README
@@ -0,0 +1,9 @@
+Stride is a cloud-based team business communication and collaboration
+tool, launched by Atlassian to replace the cloud-based version of
+HipChat.
+
+This is just a repackaging of the .deb package Atlassian provides.
+
+Only 64bit is supported.
+
+Stride is currently in "early access".
diff --git a/network/stride/doinst.sh b/network/stride/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/network/stride/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/stride/slack-desc b/network/stride/slack-desc
new file mode 100644
index 0000000000..b2f0b0beff
--- /dev/null
+++ b/network/stride/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+stride: stride (cloud-based team business collaboration tool)
+stride:
+stride: Stride is a cloud-based team business communication and collaboration
+stride: tool, launched by Atlassian to replace the cloud-based version of
+stride: HipChat.
+stride:
+stride: This is just a repackaging of the .deb package Atlassian provides.
+stride:
+stride: Only 64bit is supported.
+stride:
+stride: Homepage: https://www.stride.com/
diff --git a/network/stride/stride.SlackBuild b/network/stride/stride.SlackBuild
new file mode 100644
index 0000000000..5b4f2af26a
--- /dev/null
+++ b/network/stride/stride.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for stride
+
+# Copyright 2017 Gerardo Zamudio <gerardo.zamudio@linux.com> Mexico City
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=stride
+VERSION=${VERSION:-1.6.20}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported!"
+ exit 1
+fi
+
+DEBARCH="amd64"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+
+if [ -f $CWD/${PRGNAM}_${DEBARCH}.deb ]; then
+ REAL_VER=$(ar p $CWD/${PRGNAM}_${DEBARCH}.deb control.tar.gz | tar xzO ./control | grep Version | cut -d\ -f2 | cut -d- -f1)
+ if [ "$VERSION" != "$REAL_VER" ]; then
+ echo "Version of downloaded source [$REAL_VER] does not match version of SlackBuild [$VERSION]"
+ exit 1
+ fi
+ ar p $CWD/${PRGNAM}_${DEBARCH}.deb data.tar.xz | tar xvJ
+else
+ echo "No source found"
+ exit 1
+fi
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/lib/ $PKG/usr/lib64
+
+rm -rf $PKG/usr/share/lintian/
+
+rm $PKG/usr/bin/stride
+( ln -sf ../lib64/stride/stride $PKG/usr/bin/stride )
+
+mkdir -p $PKG/usr/share/pixmaps
+( ln -sf /usr/share/icons/hicolor/256x256/apps/stride.png $PKG/usr/share/pixmaps/stride.png )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/usr/share/doc/stride/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc/
+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/stride/stride.info b/network/stride/stride.info
new file mode 100644
index 0000000000..5517cce3dc
--- /dev/null
+++ b/network/stride/stride.info
@@ -0,0 +1,10 @@
+PRGNAM="stride"
+VERSION="1.6.20"
+HOMEPAGE="https://www.stride.com"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://stride-desktop-downloads.s3.amazonaws.com/releases/linux/deb/64/prod/stride_amd64.deb"
+MD5SUM_x86_64="13526781d18d2eaff90222bf6911cbf1"
+REQUIRES=""
+MAINTAINER="Gerardo Zamudio"
+EMAIL="gerardo.zamudio@linux.com"